###############################################################################
#
# Various constants.
#
###############################################################################
#
# This file is part of InvestOps:
#
# https://github.com/Hvass-Labs/InvestOps
#
# Published under the MIT License. See the file LICENSE for details.
#
# Copyright 2022 by Magnus Erik Hvass Pedersen
#
###############################################################################

#: Average number of business- or trading-days in a year.
BDAYS_PER_YEAR = 251.67

#: Average number of week-days in a year.
#: Normal years have 365 days, but every 4th year is a leap-year with 366 days.
DAYS_PER_YEAR = 365.25

#: Number of weeks per year.
WEEKS_PER_YEAR = 52

#: Number of months per year.
MONTHS_PER_YEAR = 12

#: Number of quarters per year.
QUARTERS_PER_YEAR = 4

###############################################################################
